package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.io.Serializable;
import java.util.List;

/**
 * 考试题库(ElExamRepo)实体类
 *
 * @author liubo
 * @since 2021-08-31 09:23:50
 */
@ApiModel(value = "考试题库", description = "考试题库")
public class ElExamRepo extends BaseEntity {
    private static final long serialVersionUID = 640474712695963611L;
    /**
     * ID
     */
    private Long id;
    /**
     * 考试ID
     */
    @ApiModelProperty(value = "考试ID")
    private Long examId;
    /**
     * 题库ID
     */
    @ApiModelProperty(value = "题库ID")
    @Deprecated // 2.1 需求删除
    private Long repoId;
    /**
     * 单选题数量
     */
    @ApiModelProperty(value = "单选题数量")
    private Integer radioCount = 0;
    /**
     * 单选题分数
     */
    @ApiModelProperty(value = "单选题分数")
    private Integer radioScore = 0;
    /**
     * 多选题数量
     */
    @ApiModelProperty(value = "多选题数量")
    private Integer multiCount = 0;
    /**
     * 多选题分数
     */
    @ApiModelProperty(value = "多选题分数")
    private Integer multiScore = 0;
    /**
     * 判断题数量
     */
    @ApiModelProperty(value = "判断题数量")
    private Integer judgeCount = 0;
    /**
     * 判断题分数
     */
    @ApiModelProperty(value = "判断题分数")
    private Integer judgeScore = 0;
    /**
     * 简答题数量
     */
    @ApiModelProperty(value = "简答题数量")
    private Integer saqCount = 0;
    /**
     * 简答题分数
     */
    @ApiModelProperty(value = "简答题分数")
    private Integer saqScore = 0;
    /**
     * 归属分类ID
     */
    private Long classifyId;
    /**
     * 归属分类名称
     */
    private String classifyName;

    /**
     * 手动组题时，所选择的题
     */
    private List<Long> quIds;

    private List<ElExamQu> examQuList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getRadioCount() {
        return radioCount;
    }

    public void setRadioCount(Integer radioCount) {
        this.radioCount = radioCount;
    }

    public Integer getRadioScore() {
        return radioScore;
    }

    public void setRadioScore(Integer radioScore) {
        this.radioScore = radioScore;
    }

    public Integer getMultiCount() {
        return multiCount;
    }

    public void setMultiCount(Integer multiCount) {
        this.multiCount = multiCount;
    }

    public Integer getMultiScore() {
        return multiScore;
    }

    public void setMultiScore(Integer multiScore) {
        this.multiScore = multiScore;
    }

    public Integer getJudgeCount() {
        return judgeCount;
    }

    public void setJudgeCount(Integer judgeCount) {
        this.judgeCount = judgeCount;
    }

    public Integer getJudgeScore() {
        return judgeScore;
    }

    public void setJudgeScore(Integer judgeScore) {
        this.judgeScore = judgeScore;
    }

    public Integer getSaqCount() {
        return saqCount;
    }

    public void setSaqCount(Integer saqCount) {
        this.saqCount = saqCount;
    }

    public Integer getSaqScore() {
        return saqScore;
    }

    public void setSaqScore(Integer saqScore) {
        this.saqScore = saqScore;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public List<Long> getQuIds() {
        return quIds;
    }

    public void setQuIds(List<Long> quIds) {
        this.quIds = quIds;
    }

    public List<ElExamQu> getExamQuList() {
        return examQuList;
    }

    public void setExamQuList(List<ElExamQu> examQuList) {
        this.examQuList = examQuList;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }
}
